%define with_maven 1
Name:          serp
Version:       1.13.1
Release:       %mkrel 1
Summary:       Serp Framework
Group:         Development/Java
License:       BSD
Url:           http://serp.sourceforge.net/
# cvs -d:pserver:anonymous@serp.cvs.sourceforge.net:/cvsroot/serp login
# cvs -z3 -d:pserver:anonymous@serp.cvs.sourceforge.net:/cvsroot/serp  export -r serp-1_13_1 serp
# tar czf serp-1.13.1-src-cvs.tar.gz serp
Source0:       serp-1.13.1-src-cvs.tar.gz
Source1:       serp-site.xml
Source2:       serp-1.13.1-autogeneratedfiles.tar.gz
Patch0:        serp-1.13.1-pom_xml.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: junit
%if !%with_maven
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: hamcrest
%else
BuildRequires: maven
BuildRequires: maven-ant-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-pmd-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-skins
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
%endif

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Serp is an open source framework for manipulating Java bytecode.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}
# TODO
#%if %with_maven
#%package manual
#Summary:       Documents for %{name}
#Group:         Development/Java

#%description manual
#This package contains documents for %{name}
#%endif

%prep
%setup -q -n serp
chmod -R go=u-w *

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done
# TODO
#mkdir -p src/site
#cp %{SOURCE1} src/site/site.xml

%if !%with_maven
  tar xf %{SOURCE2}
%endif

%patch0 -p0

%build
%if !%with_maven
# TODO
%else
mvn-rpmbuild -e ant:ant install javadoc:aggregate
# TODO site
%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc *.txt

%files javadoc
%{_javadocdir}/%{name}
# TODO
#%if %with_maven
#%files manual
#%endif


%changelog

* Wed Oct 19 2011 dams <dams> 1.13.1-1.mga2
+ Revision: 156513
- update mkrel

  + gil <gil>
    - imported package serp

